Download it now!
Bug 63898 - Allow embed color palettes in all LibreOffice documents
Summary: Allow embed color palettes in all LibreOffice documents
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 93088 (view as bug list)
Depends on:
Blocks: Color-Palettes
  Show dependency treegraph
 
Reported: 2013-04-24 20:34 UTC by Francisco
Modified: 2017-09-07 18:07 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Francisco 2013-04-24 20:34:14 UTC
Currently, LibO only allows to embed color palettes in ODG and ODP files. It should be possible to embed color palets in ODT files, empowering templates. It could be also be useful for ODS files, though I believe it would be more useful to embed in some way the colors used for charts.
Comment 1 Owen Genat (retired) 2013-07-26 13:02:24 UTC
I am confirming this enhancement. Setting status to NEW and adding myself to the CC list. Under Crunchbang 11 running TDF/LO v4.0.4.2 the colour palette in an ODG and ODP is placed in /Settings/ColorTable.xml while neither an ODT and ODS contains this information. I am not sure how relevant or possible it is to include a palette in an ODB file (perhaps in Forms or Reports?)
Comment 2 Cor Nouws 2014-10-16 14:58:07 UTC
oops
Comment 3 Francisco 2015-09-19 05:20:42 UTC
*** Bug 93088 has been marked as a duplicate of this bug. ***
Comment 4 Robinson Tryon (qubit) 2015-12-10 07:20:06 UTC Comment hidden (obsolete)
Comment 5 Heiko Tietze 2017-03-09 12:57:17 UTC
That's IMHO a WONTFIX. First of all I dont see the use case why a palette should be included in the document since the color values are stored properly (cf bug 106431), at least in current versions. Palette handling was changed so you can easily share your collection independently from a document.
Comment 6 Francisco 2017-03-09 14:23:16 UTC
(In reply to Heiko Tietze from comment #5)
> That's IMHO a WONTFIX. First of all I dont see the use case why a palette
> should be included in the document since the color values are stored
> properly (cf bug 106431), at least in current versions. Palette handling was
> changed so you can easily share your collection independently from a
> document.

As far as I understand, the use case is using uniform colors among templates that are strict about appearance. So, you open a template that your enterprise, school or university gave to you, and you already have the specific color palette available, without the need of installing anything else.

And I'm not if I could understand you completely but according to your comment, we  wouldn't even need to embed palettes in ODP files either... something I found yet quite useful.
Comment 7 Heiko Tietze 2017-09-07 15:26:20 UTC
We talked about the topic in the design meeting. The use case is a template with branding colors beyond the document colors for users who not want to install palettes via extensions and want to keep all styling together (also this feature was implemented before). The decision was to accept the idea.

Template palettes should be introduced similar to the Document palette as a temporary collection. The name 'template palette' was controversially discussed and might be improved. If a template with a palette is loaded these colors are shown under the newly to introduce item in the palettes and cleared when the template is closed. We need to define what happen when the template is saved as normal document to clearly distinguish between document and template palettes.

The palette should be added to the template on save; being against any additional confusion with the color dialog my suggestion is to use the user palette only without the choice to manipulate the template palette.

All modules with templates should be in-scope of this feature.
Comment 8 Francisco 2017-09-07 17:08:05 UTC
(In reply to Heiko Tietze from comment #7)

> All modules with templates should be in-scope of this feature.

Hi Heiko, thanks for the explanation. Nice to accept the bug, thank you also for that.